package com.yidianling.muse.api.bean

/**
 * 冥想模块所有数据
 * Created by xj on 2019/9/16.
 */
class MuseModuleBean : HomeItemBaseBean {
    constructor():super(false)
    constructor(isRealEmpty:Boolean):super(isRealEmpty)

    /**
     * 冥想数据
     */
    var muses: ArrayList<MuseDetailBean>? = null

    /**
     * 助眠数据
     */
    var sleeps: ArrayList<SleepsDetailBean>? = null


    data class MuseDetailBean(
            val id: Int,
            val audioUrl: String,
            val backgroundUrl: String,
            val category: Int,
            val createTime: String,
            val effectCode: String,
            val isDelete: String,
            val name: String,
            val playCount: Int,
            val sort: Int,
            val updateTime: String,
            val shareUrl: String,
            val appId: String,
            val path: String)

    data class SleepsDetailBean(
            val id: Int,
            val audioUrl: String,
            val backgroundUrl: String,
            val category: Int,
            val createTime: String,
            val effectCode: String,
            val isDelete: String,
            val name: String,
            val playCount: Int,
            val sort: Int,
            val updateTime: String,
            val shareUrl: String,
            val appId: String,
            val path: String)

}